/*
  lcm.cc

  Copyright (C) 2015 Taiji Yamada <taiji@aihara.co.jp>
*/
#include <iostream>
#include <string>
#include <libgen.h>
#include <gmpxx.h>

int usage(std::ostream &os, int argc, char *argv[])
{
  (void)argc;
  os << "Usage:\n\t" << basename(argv[0]) << " number number\n";
  return os == std::cerr ? 1 : 0;
}
int main(int argc, char *argv[])
{
  int a;
  mpz_class n[2], lcm;

  if (argc < 3) return usage(std::cerr, argc, argv);
  for (a=1; a<3; ++a)
    n[a-1] = argv[a];

  mpz_lcm(lcm.get_mpz_t(), n[0].get_mpz_t(), n[1].get_mpz_t());
  std::cout << lcm << std::endl;
  
  return 0;
}
